E-MailRelay

Classes | Namespaces
gsmtpforward.h File Reference
`#include "gdef.h"`
`#include "glocation.h"`
`#include "gsaslclientsecrets.h"`
`#include "glinebuffer.h"`
`#include "gclient.h"`
`#include "gclientptr.h"`
`#include "gsmtpclientprotocol.h"`
`#include "gmessagestore.h"`
`#include "gstoredmessage.h"`
`#include "gfilterfactorybase.h"`
`#include "gsmtpclient.h"`
`#include "gfilter.h"`
`#include "gsocket.h"`
`#include "gslot.h"`
`#include "gtimer.h"`
`#include "gstringarray.h"`
`#include "gexception.h"`
`#include <memory>`
`#include <iostream>`
Include dependency graph for gsmtpforward.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | GSmtp::Forward
| A class for forwarding messages from a message store that manages a GSmtp::Client instance, connecting and disconnecting as necessary to do routing and re-authentication. More...

## Namespaces
namespace | GSmtp
| SMTP classes.